
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_carordernum")]
    public class BaseCarordernum
    {

        [Key]
        [Column("id")]
        public Guid id { get; set; }

        /// <summary>
        /// 小车id
        /// </summary>
        [Column("car_id")]
        public Guid? carId { get; set; }

        /// <summary>
        /// 小车编码
        /// </summary>
        [Column("car_no")]
        public string carNo { get; set; }

        /// <summary>
        /// 小车名称
        /// </summary>
        [Column("car_name")]
        public string carName { get; set; }

        /// <summary>
        /// 物料id
        /// </summary>
        [Column("materiel_id")]
        public Guid? materielId { get; set; }

        /// <summary>
        /// 物料编码
        /// </summary>
        [Column("materiel_no")]
        public string materielNo { get; set; }

        /// <summary>
        /// 物料名称
        /// </summary>
        [Column("materiel_name")]
        public string materielName { get; set; }

        /// <summary>
        /// 物料扫描数量
        /// </summary>
        [Column("materiel_num")]
        public int? materielNum { get; set; }

        [Column("order_code")]
        public string orderCode { get; set; }

        [Column("type")]
        public string type { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("order_num")]
        public int? orderNum { get; set; }
    }
}

